package com.logwire.bhft.domain;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 停车场道闸接口信息
 * @TableName t01_interface_parking_gate
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class InterfaceParkingGate implements Serializable {
    /**
     * id
     */
    private Long id;

    /**
     * 请求时间戳
     */
    private Long requestTime;

    /**
     * 请求id
     */
    private String requestId;

    /**
     * 出场请求时间戳
     */
    private Long exitRequestTime;

    /**
     * 出场请求id
     */
    private String exitRequestId;

    /**
     * 车牌号
     */
    private String plateNo;

    /**
     * 设备类型
     */
    private String vehicleType;

    /**
     * 车牌识别信息
     */
    private String plateParseInfo;

    /**
     * 进场时间
     */
    private Long entryTime;

    /**
     * 入口id
     */
    private String entryId;

    /**
     * 出场时间
     */
    private Long exitTime;

    /**
     * 出口id
     */
    private String exitId;

    /**
     * 交易时间
     */
    private Long tradeTime;

    /**
     * 费率版本
     */
    private String tollRateVersion;

    /**
     * 交易类型
     */
    private String tradeType;

    /**
     * 应收费用
     */
    private BigDecimal account;

    /**
     * 现场收取现金
     */
    private BigDecimal cash;

    /**
     * 收费员
     */
    private String tollCollectorName;

    /**
     * 使用类型
     */
    private String useType;

    /**
     * 区域类型
     */
    private String areaId;

    /**
     * 车位id
     */
    private String slotId;

    /**
     * 车位是否预定
     */
    private Boolean booking;

    /**
     * 停车信息详情
     */
    private String parkingDetail;

    /**
     * 出场使用标识
     */
    private String exitFlagNum;

    /**
     * Domain Name
     */
    private String domainName;

    /**
     * version
     */
    private Object version;

    /**
     * deleted
     */
    private Boolean deleted;

    /**
     * Insert User
     */
    private String insertUser;

    /**
     * Insert Date
     */
    private Date insertDate;

    /**
     * Update User
     */
    private String updateUser;

    /**
     * Update Date
     */
    private Date updateDate;

    private static final long serialVersionUID = 1L;

    @Override
    public String toString() {
        return "InterfaceParkingGate{" +
                "id=" + id +
                ", requestTime=" + requestTime +
                ", requestId='" + requestId + '\'' +
                ", exitRequestTime=" + exitRequestTime +
                ", exitRequestId='" + exitRequestId + '\'' +
                ", plateNo='" + plateNo + '\'' +
                ", vehicleType='" + vehicleType + '\'' +
                ", plateParseInfo='" + plateParseInfo + '\'' +
                ", entryTime=" + entryTime +
                ", entryId='" + entryId + '\'' +
                ", exitTime=" + exitTime +
                ", exitId='" + exitId + '\'' +
                ", tradeTime=" + tradeTime +
                ", tollRateVersion='" + tollRateVersion + '\'' +
                ", tradeType='" + tradeType + '\'' +
                ", account=" + account +
                ", cash=" + cash +
                ", tollCollectorName='" + tollCollectorName + '\'' +
                ", useType='" + useType + '\'' +
                ", areaId='" + areaId + '\'' +
                ", slotId='" + slotId + '\'' +
                ", booking=" + booking +
                ", parkingDetail='" + parkingDetail + '\'' +
                ", exitFlagNum='" + exitFlagNum + '\'' +
                ", domainName='" + domainName + '\'' +
                ", version=" + version +
                ", deleted=" + deleted +
                ", insertUser='" + insertUser + '\'' +
                ", insertDate=" + insertDate +
                ", updateUser='" + updateUser + '\'' +
                ", updateDate=" + updateDate +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRequestTime() {
        return requestTime;
    }

    public void setRequestTime(Long requestTime) {
        this.requestTime = requestTime;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    public Long getExitRequestTime() {
        return exitRequestTime;
    }

    public void setExitRequestTime(Long exitRequestTime) {
        this.exitRequestTime = exitRequestTime;
    }

    public String getExitRequestId() {
        return exitRequestId;
    }

    public void setExitRequestId(String exitRequestId) {
        this.exitRequestId = exitRequestId;
    }

    public String getPlateNo() {
        return plateNo;
    }

    public void setPlateNo(String plateNo) {
        this.plateNo = plateNo;
    }

    public String getVehicleType() {
        return vehicleType;
    }

    public void setVehicleType(String vehicleType) {
        this.vehicleType = vehicleType;
    }

    public String getPlateParseInfo() {
        return plateParseInfo;
    }

    public void setPlateParseInfo(String plateParseInfo) {
        this.plateParseInfo = plateParseInfo;
    }

    public Long getEntryTime() {
        return entryTime;
    }

    public void setEntryTime(Long entryTime) {
        this.entryTime = entryTime;
    }

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public Long getExitTime() {
        return exitTime;
    }

    public void setExitTime(Long exitTime) {
        this.exitTime = exitTime;
    }

    public String getExitId() {
        return exitId;
    }

    public void setExitId(String exitId) {
        this.exitId = exitId;
    }

    public Long getTradeTime() {
        return tradeTime;
    }

    public void setTradeTime(Long tradeTime) {
        this.tradeTime = tradeTime;
    }

    public String getTollRateVersion() {
        return tollRateVersion;
    }

    public void setTollRateVersion(String tollRateVersion) {
        this.tollRateVersion = tollRateVersion;
    }

    public String getTradeType() {
        return tradeType;
    }

    public void setTradeType(String tradeType) {
        this.tradeType = tradeType;
    }

    public BigDecimal getAccount() {
        return account;
    }

    public void setAccount(BigDecimal account) {
        this.account = account;
    }

    public BigDecimal getCash() {
        return cash;
    }

    public void setCash(BigDecimal cash) {
        this.cash = cash;
    }

    public String getTollCollectorName() {
        return tollCollectorName;
    }

    public void setTollCollectorName(String tollCollectorName) {
        this.tollCollectorName = tollCollectorName;
    }

    public String getUseType() {
        return useType;
    }

    public void setUseType(String useType) {
        this.useType = useType;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getSlotId() {
        return slotId;
    }

    public void setSlotId(String slotId) {
        this.slotId = slotId;
    }

    public Boolean getBooking() {
        return booking;
    }

    public void setBooking(Boolean booking) {
        this.booking = booking;
    }

    public String getParkingDetail() {
        return parkingDetail;
    }

    public void setParkingDetail(String parkingDetail) {
        this.parkingDetail = parkingDetail;
    }

    public String getExitFlagNum() {
        return exitFlagNum;
    }

    public void setExitFlagNum(String exitFlagNum) {
        this.exitFlagNum = exitFlagNum;
    }

    public String getDomainName() {
        return domainName;
    }

    public void setDomainName(String domainName) {
        this.domainName = domainName;
    }

    public Object getVersion() {
        return version;
    }

    public void setVersion(Object version) {
        this.version = version;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public String getInsertUser() {
        return insertUser;
    }

    public void setInsertUser(String insertUser) {
        this.insertUser = insertUser;
    }

    public Date getInsertDate() {
        return insertDate;
    }

    public void setInsertDate(Date insertDate) {
        this.insertDate = insertDate;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }
}